EDIT - bug #1924
task # 4338 (In Progress): [MASTER] Handle abbreviated title and protected cache correctly in TaxEditor

CIHORIEAE in-references in Footnotes
08/02/2010 04:45 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Mller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour

Target version:

Severity: normal Found in Version:

Description
from #1751:

in-Literaturreferenzen in FuBnoten: Da muss eine Umstellung erfolgen. NICHT
"3. Compositae in lkeda H. - Ohba H., lokawa Y. & Sharma L. R., Flora of Mustang, Nepal. 2008", sondern
"3. Compositae. — lkeda H. in Ohba ...". : Tibetoseris simulatrix

see also #2969, #1551, #3645

Related issues:

Related to EDIT - bug #2969: Correct formatting for bibliographic references Closed
Related to EDIT - bug #6960: Improve reference cachestrategy Duplicate
Related to EDIT - bug #1866: BookDefaultCacheStrategy does not show free text... New
Related to EDIT - task #10295: Parse verbatim year in reference Closed

Associated revisions

Revision 0c85f8e9 - 05/17/2021 07:15 PM - Andreas Miiller

ref #1924 use colon as after author and year operator

Revision 9d4f868a - 05/18/2021 03:12 PM - Andreas Miiller

ref #1924 put year after author in bibliographic references and separate with colon

Revision a21ab50f - 05/18/2021 03:47 PM - Andreas Miiller

ref #1924 put year after author in bibliographic references and separate with colon (cont.)

Revision fda4c183 - 04/05/2023 10:59 AM - Belen Escobari
ref #1924: verbatim date is added: 2008 [“2007”]

History

#1 - 08/02/2010 05:05 PM - Andreas Kohlbecker
- Subject changed from CCHORIEARE in-references in Footnotes to CIHORIEARE in-references in Footnotes

#2 - 08/02/2010 05:22 PM - Andreas Miiller

We need to discuss the correct order before implementing it. To me it sounds strange that the in-Reference title comes first and then the in-reference
author.

The current cache strategy implemts it the other way round:
Ikeda H., Compositae in Ohba ...”. : Tibetoseris simulatrix
#3 - 09/01/2010 04:48 PM - Andreas Kohlbecker

now it is more like

Ikeda H. - Compositae in Ohba H., lokawa Y. & Sharma L. R., Flora of Mustang, Nepal. 2008
#4 - 09/01/2010 04:50 PM - Andreas Kohlbecker

- Priority changed from Priority14 to Priority13

#5 - 07/09/2012 09:16 PM - Andreas Kohlbecker

- Assignee changed from F.Revilla - to Andreas Kohlbecker

#6 - 07/09/2012 09:21 PM - Andreas Kohlbecker

@Andreas M: Isn't this a ticket rather related to cache strategies than to rendering in the dataportal?
#7 - 07/11/2012 12:53 PM - Andreas Miiller
Replying to a.kohlbecker:

@Andreas M: Isn't this a ticket rather related to cache strategies than to rendering in the dataportal?

Correct. And this is related to #1625 as we need better distinguis nom.refs. from biblio refs.
However, we could already now create a new cache strategy for bibliographic references which handles the above problem appropriately.
Andreas K.: do you use the given preformatted titlecache for the dataportal rendering or do you explicitly call a certain cache strategy?
#8 - 07/18/2012 10:45 AM - Andreas Kohlbecker
Replying to a.mueller:
Andreas K.: do you use the given preformatted titlecache for the dataportal rendering or do you explicitly call a certain cache strategy?

The dataportal is usually using the given preformatted titlecache, hoewever there is one exception to this: The bibliography block inplemented fro
palmweb does some special rendering of the reference based on the atomized data.

#9 - 06/26/2013 06:30 PM - Andreas Miiller
- Target version changed from cdm_dataportal - Next Major Release to COM UML 3.3

#10 - 06/28/2013 02:11 PM - Andreas Miiller
- Target version deleted (CDM UML 3.3)

#11 - 05/02/2016 05:00 PM - Andreas Miiller
- Target version changed from CDM UML 3.3/3.4 - Postprocessing to Unassigned CDM tickets

#12 - 05/26/2016 07:07 PM - Andreas Miiller
- Assignee changed from Andreas Kohlbecker to Andreas Miiller
- Category changed from dataportal to cdmlib

- Target version changed from Unassigned CDM tickets to Release 4.2
Probably this is cache strategy related. Therefore change owner and component.

#13 - 07/06/2016 03:21 PM - Andreas Miiller

- Target version changed from Release 4.2 to Release 4.3

#14 - 09/23/2016 03:32 PM - Andreas Miiller

- Target version changed from Release 4.3 to Release 4.4

#15 - 12/01/2016 02:06 PM - Andreas Miiller

- Target version changed from Release 4.4 to Release 4.5

#16 - 01/19/2017 01:22 PM - Andreas Miiller

- Target version changed from Release 4.5 to Release 4.6
#17 - 03/11/2017 02:37 AM - Andreas Muller
- Description updated

- Priority changed from Priority13 to Highest

#18 - 11/18/2019 11:42 AM - Andreas Kohlbecker
- File Zitierweise02.doc added

found in old Email from 2010:

"als Diskussionsbeitrag schicke ich auch Dir noch unsere Richtschnur fir Literaturzitate (Zitierweise02.doc) (sie héngt bereits an irgendeinem Ticket
und wurde Andreas M. auch schon mal feierlich per E-Mail Gberreicht). Sie wurde urspriinglich konzipiert, um Struktur in die spétere
Gesamtbibliographie zu bekommen. Aber aus Einheitlichkeitsgriinden wére es natirlich sehr schén, wenn auch bei den FuBnoten dieses System
eingehalten wirde. Wenn wir Literatur im Freitext eingeben, halten wir uns bereits daran. Oft fehlen bei Zitaten Einzelheiten (Verlag, manchmal Titel
eines Artikels usw. usf.). Dann sollte nur gebracht werden, was da ist. Ergdnzungen werden eben spater Uber die Editor-Bulkfunktionalitat
durchgefihrt werden.

Schoénen Gruf3
Ralf (oder muss ich mich r1 nennen?)"

#19 - 12/05/2020 01:39 PM - Andreas Miiller
- Related to bug #2969: Correct formatting for bibliographic references added

#20 - 12/05/2020 01:39 PM - Andreas Miiller
- Target version changed from Release 4.6 to Release 5.19

- Private changed from Yes to No

This is still open therefore | move it to current milestone

#21 - 01/27/2021 03:43 PM - Andreas Miiller

- Target version changed from Release 5.19 to Release 5.21

#22 - 03/10/2021 02:34 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.22

#23 - 03/13/2021 04:22 AM - Andreas Miiller
- Related to bug #6960: Improve reference cachestrategy added

#24 - 04/16/2021 09:49 PM - Andreas Miiller

- Target version changed from Release 5.22 to Release 5.25

#25 - 05/14/2021 12:38 AM - Andreas Muller

- Tags set to formatting

#26 - 05/18/2021 03:09 PM - Andreas Miiller
- Description updated

#28 - 05/18/2021 03:22 PM - Andreas Miiller
- % Done changed from 0 to 40

The "publisher" issue (from attachement) was moved to new ticket #9626.

Only open issue: verbatim year

#29 - 07/16/2021 02:47 PM - Andreas Miiller

- Target version changed from Release 5.25 to Release 5.45

03/20/2024 3/4


https://dev.e-taxonomy.eu/redmine/attachments/1767

#30 - 12/08/2021 04:51 PM - Andreas Miiller
- Subject changed from CIHORIEARE in-references in Footnotes to CIHORIEAE in-references in Footnotes

#31 - 01/12/2023 11:31 AM - Andreas Miiller
- Assignee changed from Andreas Miiller to Belen Escobari

- Target version changed from Release 5.45 to Release 5.44

#32 - 03/28/2023 04:01 PM - Andreas Miiller
- Related to bug #1866: BookDefaultCacheStrategy does not show free text date published added

#33 - 04/05/2023 11:18 AM - Belen Escobari
- Status changed from New to Resolved
- Assignee changed from Belen Escobari to Andreas Miiller

- % Done changed from 40 to 70

Verbatim year is already implemented. A test was added in the class VerbatimTimePeriodFormatterTest

#34 - 04/12/2023 10:49 AM - Belen Escobari

- Target version changed from Release 5.44 to Release 5.37

#35 - 04/12/2023 11:17 AM - Belen Escobari
- Target version deleted (Release 5.37)

#36 - 04/12/2023 11:37 AM - Andreas Miuiller

- Related to task #10295: Parse verbatim year in reference added

#37 - 04/12/2023 11:38 AM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 70 to 100

Files

Zitierweise02.doc 24.5 KB 11/18/2019
